commit 5ba222b933e78c4ff4d81d0954eb100933fd822c
Author: Tomáš <unknown@unknown>
Date:   Sat Dec 12 15:08:47 2020 +0100

    done

diff --git a/docker/php-fpm/Dockerfile b/docker/php-fpm/Dockerfile
index e87a396..5143650 100644
--- a/docker/php-fpm/Dockerfile
+++ b/docker/php-fpm/Dockerfile
@@ -7,6 +7,8 @@ RUN apk update; \
 	docker-php-ext-enable mongodb; \
 	apk del --purge autoconf openssl-dev g++ make;
 RUN add apk npm; \
-    npm install --global webpack webpack-cli;
+    npm install --global webpack webpack-cli; \
+	npm install; \
+	npm link webpack;
 RUN echo "**** install PHP Composer ****\n" && \
     curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
\ No newline at end of file
diff --git a/docker/php-fpm/dev/Dockerfile b/docker/php-fpm/dev/Dockerfile
index 5dd2efe..632c915 100644
--- a/docker/php-fpm/dev/Dockerfile
+++ b/docker/php-fpm/dev/Dockerfile
@@ -11,7 +11,8 @@ RUN apk update; \
     apk del --purge autoconf openssl-dev g++ make;
 RUN apk add npm; \
     npm install --global webpack webpack-cli; \
-    npm install;
+    npm install; \
+    npm link webpack;
 RUN echo "**** install PHP Composer ****\n" && \
     curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
 RUN rm -rf /usr/local/etc/php/conf.d/docker-php-ext-igbinary.ini;
diff --git a/website/webpack.config.js b/website/webpack.config.js
index a153750..8db489f 100644
--- a/website/webpack.config.js
+++ b/website/webpack.config.js
@@ -1,5 +1,7 @@
 const path = require('path');
-module.exports = {
+const MiniCssExtractPlugin = require('mini-css-extract-plugin');
+
+module.exports = [{
     entry: {
         index: "./public/js/index.js",
         polyfills: './public/js/polyfills.js',
@@ -12,4 +14,59 @@ module.exports = {
         path: path.resolve(__dirname, 'public/js'),
         library: 'js'
     },
-}
\ No newline at end of file
+}, {
+    plugins: [new MiniCssExtractPlugin()],
+    entry: {
+        style: ['./public/css/style.scss']
+    },
+    optimization: {
+        minimize: true
+    },
+    output: {
+        filename: '[name].[hash:8].css',
+        publicPath: '',
+        path: path.resolve(__dirname, 'public/css'),
+        sourceMapFilename: '[id].[hash:8].map',
+        chunkFilename: '[id].[hash:8].css'
+    },
+    module: {
+        rules: [
+            {
+                test: /\.scss$/,
+                use: [
+                    { loader: 'style-loader' },
+                    { loader: MiniCssExtractPlugin.loader },
+                    { loader: 'css-loader' },
+                    {
+                        loader: 'postcss-loader',
+                        options: {
+                            postcssOptions: {
+                                plugins: [
+                                    [
+                                        "autoprefixer"
+                                    ],
+                                ],
+                            },
+                        },
+                    },
+                    {
+                        loader: 'sass-loader'
+                    }
+                ]
+            },
+            {
+                test: /\.(png|jp(e*)g|svg)(\?v=\d+\.\d+\.\d+)?$/,
+                use: [
+                    {
+                        loader: 'file-loader',
+                        options: {
+                            name: '[name].[ext]',
+                            outputPath: 'img/'
+                        }
+                    }
+                ]
+            },
+        ]
+    }
+}
+]
\ No newline at end of file
